Draft Réseau circulaire

From FreeCAD Documentation
Revision as of 09:51, 8 February 2020 by David69 (talk | contribs) (Created page with "Pour positionner les copies dans une grille rectangulaire, utilisez Draft Réseau; pour vous positionner dans un motif polaire, utilisez Draft_CircularArr...")

Draft Réseau circulaire

Emplacement du menu
Modify → Circular array
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Réseau, Draft Réseau polaire, Draft Chemin pour série de copies, Draft Matrice de points, Draft Clone

Description

L'outil Draft Réseau circulaire crée un tableau à partir d'un objet sélectionné en plaçant les copies le long de circonférences concentriques. Cela revient à utiliser Réseau polaire avec un angle polaire de 360 degrés et à créer plusieurs de ces réseaux concentriques.

Cet outil peut être utilisé sur des formes 2D créées avec l'atelier Draft mais également sur de nombreux types d'objets 3D tels que ceux créés avec l'atelier Part ou l'atelier PartDesign.

Pour positionner les copies dans une grille rectangulaire, utilisez Draft Réseau; pour vous positionner dans un motif polaire, utilisez Draft Réseau circulaire; pour positionner des copies le long d'un chemin, utilisez Draft Réseau sur un chemin; pour positionner les copies aux points spécifiés, utilisez Draft Matrice de points; pour créer des copies ou des clones et les placer manuellement, utilisez Draft Déplacer, Draft Rotation et Draft Clone.

A circular array of an object.

Usage

  1. Select an object from which you wish to make the circular array.
  2. Press the Circular array button. If no object is selected, the task panel will open, but you still need to select an object to proceed.
  3. Choose the radial distance, which determines the distance from the center of the array to the next circular layer, and between subsequent circular layers.
  4. Choose the tangential distance, which determines the distance from one element in the array to the next element in the same circular layer. This distance determines how many elements will be in the array; if the number is small, there will be many tightly packed copies; if the number is large, there will only be a few copies. This distance cannot be zero.
  5. Choose the number of circular layers. The original object is considered one layer by itself. Minimum of 2, maximum of 99.
  6. Choose the symmetry number, which determines how the objects will be distributed in the array. Choose a number between 1 and 10.
  7. Choose the center of the axis of rotation. You can click on the 3D view, to simultaneously set the position of the center of rotation, and complete the command.
  8. Optionally, check the fuse or link options.
  9. Press OK to complete the command.

Notes:

  • By default, the axis of rotation is the positive Z axis (0, 0, 1). This can be changed in the property editor after the object is created.
  • Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.
  • This command creates the same object as the one created with the Array and PolarArray tools. Therefore, the array can be converted to orthogonal, polar, or circular just by changing its properties.

Options

  • Press Reset point to set the center of the circular patterns to the origin (0, 0, 0).
  • If the Fuse checkbox is ticked, the resulting objects in the array will be fused into a single shape, if they touch or intersect each other.
  • If the Use Links checkbox is ticked, the resulting objects in the array will be App Links instead of simple copies. This improves the memory usage of the array, as the App Link re-uses the shape of the original object, and does not create new shapes. If this option is used, the Fuse checkbox has no effect.
  • Press Esc or the Cancel button to abort the current command.

Properties

An Array object is based on Part Feature (Part::Feature class), and thus shares all properties of the latter. In addition to the properties listed in Part Feature, the Array object has additional properties.

See the Array tool for the complete information.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using the following function.

array_list = make_circular_array(obj, r_distance, tan_distance,
                                 axis, center, number, symmetry,
                                 use_link)
  • Creates an array from the objects contained in obj, which can be a single object or a list of objects.
  • The values of r_distance and tan_distance correspond to the radial and tangential distances of the elements in the array.
  • The values of axis and center are vectors that describe the direction of the axis of rotation, and a point through which that axis goes.
  • The value of number is the number of circular layers in the circular pattern; the original object counts as the first layer.
  • The value of symmetry is an integer that participates in some calculations that affect the way the copies are distributed around the circumferences. Try different values, from 1 to 10, to get different placements of the copies.
  • If use_link is true the created copies will be App Links and not regular copies.
  • array_list is returned with the new copies.
    • array_list is either a single object or a list of objects, depending on the input obj.

Example:

import FreeCAD as App
import Draft
import draftobjects.circulararray as ca

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
axis = App.Vector(0, 0, 1)
center = App.Vector(0, 0, 0)
arr = ca.make_circular_array(tri, 1800, 1200, axis, center, 4, 1)
App.ActiveDocument.recompute()